Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 201509-05 ] NetworkManager
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Advocate
Advocate


Joined: 12 May 2004
Posts: 2189

PostPosted: Thu Sep 24, 2015 9:26 pm    Post subject: [ GLSA 201509-05 ] NetworkManager Reply with quote

Gentoo Linux Security Advisory

Title: NetworkManager: Denial of Service (GLSA 201509-05)
Severity: normal
Exploitable: remote
Date: September 24, 2015
Bug(s): #545980
ID: 201509-05

Synopsis

Improper handling of Router Advertisements in NetworkManager could
cause a Denial of Service condition in IPv6 network stacks.


Background

NetworkManager is an universal network configuration daemon for laptops,
desktops, servers and virtualization hosts.


Affected Packages

Package: net-misc/networkmanager
Vulnerable: < 1.0.2
Unaffected: >= 1.0.2
Architectures: All supported architectures


Description

IPv6 Neighbour Discovery ICMP broadcast containing a non-route with a
low hop limit causes a Denial of Service by lowering the hop limit on
existing IPv6 routes in NetworkManager.


Impact

A remote attacker on the same network segment could cause a Denial of
Service condition in NetworkManager


Workaround

There is no known workaround at this time.

Resolution

All NetworkManager users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=net-misc/networkmanager-1.0.2"
   


References

CVE-2015-2924
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum